### Hierarchy

- StringHelper

## Index

### Methods

- fromCamelToHyphen
- fromCamelToPascal
- fromCamelToUnderscore
- fromHyphenToCamel
- fromPascalToCamel
- fromUnderscoreToCamel

## Methods

### Static fromCamelToHyphen

- fromCamelToHyphen(input: string): string

- - Defined in core/StringHelper.ts:3

  #### Parameters

  - ##### input: string

  #### Returns string

### Static fromCamelToPascal

- fromCamelToPascal(input: string): string

- - Defined in core/StringHelper.ts:11

  #### Parameters

  - ##### input: string

  #### Returns string

### Static fromCamelToUnderscore

- fromCamelToUnderscore(input: string): string

- - Defined in core/StringHelper.ts:7

  #### Parameters

  - ##### input: string

  #### Returns string

### Static fromHyphenToCamel

- fromHyphenToCamel(input: string): string

- - Defined in core/StringHelper.ts:15

  #### Parameters

  - ##### input: string

  #### Returns string

### Static fromPascalToCamel

- fromPascalToCamel(input: string): string

- - Defined in core/StringHelper.ts:23

  #### Parameters

  - ##### input: string

  #### Returns string

### Static fromUnderscoreToCamel

- fromUnderscoreToCamel(input: string): string

- - Defined in core/StringHelper.ts:19

  #### Parameters

  - ##### input: string

  #### Returns string

Generated using TypeDoc